apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

resources:
  - postgresql-statefulset.yaml
  - postgresql-service.yaml
  - postgresql-pvc.yaml
  - deployment.yaml
  - configmap.yaml
  - ingress.yaml
  - service.yaml
  - discovery.yaml


secretGenerator:
  - name: keycloak-db-secret
    literals:
      - database=keycloak
      - username=keycloak
      - password=YouMayChangeMe
  - name: keycloak-admin
    literals:
      - username=admin
      - password=PleaseChangeMe


generatorOptions:
  disableNameSuffixHash: true